%global srcname cache_tab
# Erlang packages don't seem to ship debug files, as the build process does not generate them
%global debug_package %{nil}


Name: erlang-cache_tab
Version: 1.0.9
Release: 3%{?dist}

License: ASL 2.0
Summary: Erlang cache table application
URL: https://github.com/processone/cache_tab/
Source0: https://github.com/processone/cache_tab/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= 1.0.9

%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
This application is intended to proxy back-end operations for Key-Value insert,
lookup and delete and maintain a cache of those Key-Values in-memory, to save
back-end operations. Operations are intended to be atomic between back-end and
cache tables. The lifetime of the cache object and the max size of the cache
can be defined as table parameters to limit the size of the in-memory tables.


%prep
%autosetup -n cache_tab-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}

install -p -D -m 755 priv/lib/* --target-directory=%{buildroot}%{erlang_appdir}/priv/lib/


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{_erllibdir}/%{srcname}-%{version}


%changelog
* Sun Oct 22 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.9-3
- Install the shared objects and depend on erlang_nif (#1505170).

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Sun Jul 30 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.9-1
- Update to 1.0.9 (#1434803).

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 12 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.6-1
- Update to 1.0.6 (#1398605).
- https://github.com/processone/cache_tab/blob/1.0.6/CHANGELOG.md

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 31 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5 (#1398605).

* Fri Jul 01 2016 Jeremy Cline <jeremy@jcline.org> - 1.0.4-1
- Update to 1.0.4.

* Mon Mar 14 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.2-1
- Update to 1.0.2.
- Add documentation.
- Run tests.

* Fri Mar 11 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.1-2
- Rebuild to use the new automatic provides/requires behavior.

* Sun Feb 14 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.1-1
- Update to version 1.0.1.
- Change srcname to cache_tab, consistent with upstream's rename.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 9 2016 Jeremy Cline <jeremy@jcline.org> - 1.0.0-1
- Initial release.
